#!/bin/sh
#
# $FreeBSD: ports/devel/perforce/files/perforce.sh.in,v 1.7 2005/02/20 14:54:00 lth Exp $

p4d=/usr/local/sbin/p4d
p4ftpd=/usr/local/sbin/p4ftpd
p4p=/usr/local/sbin/p4p
p4web=/usr/local/sbin/p4web

case $1 in
start)
    [ -f /usr/local/etc/perforce.conf ] && . /usr/local/etc/perforce.conf
    if [ -x $p4d -a x$PERFORCE_START = xyes ]; then
	echo -n ' p4d'
	su -fm $PERFORCE_USER -c "$p4d -r $PERFORCE_ROOT $PERFORCE_OPTIONS"
    fi
    if [ -x $p4ftpd -a x$PERFORCE_FTPD_START = xyes ]; then
	echo -n ' p4ftpd'
	$p4ftpd $PERFORCE_FTPD_OPTIONS
    fi
    if [ -x $p4p -a x$PERFORCE_PROXY_START = xyes ]; then
        echo -n ' p4p'
        $p4p $PERFORCE_PROXY_OPTIONS
    fi
    if [ -x $p4web -a x$PERFORCE_WEB_START = xyes ]; then
        echo -n ' p4web'
        su -fm $PERFORCE_USER -c "$p4web $PERFORCE_WEB_OPTIONS &" >/dev/null 2>&1
    fi

    ;;
stop)
    [ -f /usr/local/etc/perforce.conf ] && . /usr/local/etc/perforce.conf
    if [ -x $p4ftpd ]; then
	killall -u 0 p4ftpd >/dev/null 2>&1 && echo -n ' p4ftpd'
    fi
    if [ -x $p4d ]; then
	killall -u $PERFORCE_USER p4d >/dev/null 2>&1 && echo -n ' p4d'
    fi
    if [ -x $p4p ]; then
        killall -u 0 p4p > /dev/null 2>&1 && echo -n ' p4p'
    fi
    if [ -x $p4web ]; then
        killall -u $PERFORCE_USER p4web > /dev/null 2>&1 && echo -n ' p4web'
    fi
    ;;
restart)
    $0 stop
    sleep 1
    $0 start
    ;;
checkpoint)
    [ -f /usr/local/etc/perforce.conf ] && .  /usr/local/etc/perforce.conf
    if [ -x $p4d -a x$PERFORCE_START = xyes ]; then
	su -fm $PERFORCE_USER -c "$p4d -r $PERFORCE_ROOT -jc"
    fi
    ;;
*)
    echo "usage: $0 {start|stop|restart|checkpoint}"
    exit 64
    ;;
esac
